#include <iostream>
#include<fstream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void ana_817831_1210_pc3330()
{
    
    int i, n;
          float arr2[13477];    /* 大きめのサイズの配列を用意しておく． */
       
          FILE *fp;
       
          fp = fopen("ana_817831_1210_pc3330_0198.txt", "r");
          if(fp == NULL) {
              printf("ファイルを開くことが出来ませんでした．\n");
              return(0);
          }
       
          n = 0;
       
          /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
          while ( ! feof(fp) && n < 13477) {
              fscanf(fp, "%f", &(arr2[n]));
              n++;
          }
       
          fclose(fp);
       
          n = n-1; /* 上のwhileループでは，EOFの行を余分に読み込んでいるので，実際のデータ数は一つ少ない． */
    std::cerr << "読み込んだ行数 = " << n << "\n";
    
    
gROOT->Reset();
    Int_t icol=0; // WHITE
    Int_t font=42; // Helvetica
    Double_t tsize=0.05;
    
    int f;
    
    
    //p33_30
    double p3330[11867];
    for(int k=0; k<11867; k++){
        p3330[k] = arr2[k];
    }

    TCanvas *c21 = new TCanvas("c21", "", 60, 60, 800, 600);

    TH1F *h21 = new TH1F("P.C. 3.3V", "h21", 12, 115, 140);

    h21->SetTitle("P.C. 3.3V NoCS 30;3.3 V Power Consumption [mW];Number of chips");
    h21->GetXaxis()->SetLimits(115.0,140.0);
    //h21->GetYaxis()->SetRangeUser(0,47);
    h21->SetLabelFont(font,"x");
    h21->SetTitleFont(font,"x");
    h21->SetLabelFont(font,"y");
    h21->SetTitleFont(font,"y");
    h21->SetLabelFont(font,"z");
    h21->SetTitleFont(font,"z");
    h21->SetLabelSize(tsize,"x");
    h21->SetTitleSize(tsize,"x");
    h21->SetLabelSize(tsize,"y");
    h21->SetTitleSize(tsize,"y");
    h21->SetLabelSize(tsize,"z");
    h21->SetTitleSize(tsize,"z");
    h21->SetMarkerStyle(20);
    h21->SetMarkerSize(1.2);
    for(f=0; f<11867; f++){
    h21->Fill(p3330[f]);
    }
    h21->Draw();
    
    
    
}





