#include <iostream>
#include<fstream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void ana_817831_1210_tpab15()
{
    
    int i, n;
          float arr2[13477];    /* 大きめのサイズの配列を用意しておく． */
       
          FILE *fp;
       
          fp = fopen("ana_817831_1210_tpab15_0220.txt", "r");
          if(fp == NULL) {
              printf("ファイルを開くことが出来ませんでした．\n");
              return(0);
          }
       
          n = 0;
       
          /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
          while ( ! feof(fp) && n < 13477) {
              fscanf(fp, "%f", &(arr2[n]));
              n++;
          }
       
          fclose(fp);
       
          n = n-1; /* 上のwhileループでは，EOFの行を余分に読み込んでいるので，実際のデータ数は一つ少ない． */
    std::cerr << "読み込んだ行数 = " << n << "\n";
    
    
gROOT->Reset();
    Int_t icol=0; // WHITE
    Int_t font=42; // Helvetica
    Double_t tsize=0.05;
    
    int f;
    
    
    //TPA0
    double TPAb15[11867];
    for(int k=0; k<11867; k++){
        TPAb15[k] = arr2[k];
    }

    TCanvas *c2 = new TCanvas("c2", "", 60, 60, 800, 600);

    TH1F *h2 = new TH1F("TPAb15", "h2", 20, 0, 20);

    h2->SetTitle("TPAb15;height of TP [mV];Number of chips");
    h2->GetXaxis()->SetLimits(0.0,20.0);
    //h2->GetYaxis()->SetRangeUser(0,47);
    h2->SetLabelFont(font,"x");
    h2->SetTitleFont(font,"x");
    h2->SetLabelFont(font,"y");
    h2->SetTitleFont(font,"y");
    h2->SetLabelFont(font,"z");
    h2->SetTitleFont(font,"z");
    h2->SetLabelSize(tsize,"x");
    h2->SetTitleSize(tsize,"x");
    h2->SetLabelSize(tsize,"y");
    h2->SetTitleSize(tsize,"y");
    h2->SetLabelSize(tsize,"z");
    h2->SetTitleSize(tsize,"z");
    h2->SetMarkerStyle(20);
    h2->SetMarkerSize(1.2);
    for(f=0; f<11867; f++){
    h2->Fill(TPAb15[f]);
    }
    h2->Draw();
    
    
    
}





