#include <iostream>
#include<fstream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void ana_817831_1210_tpb0()
{
    
    int i, n;
          float arr2[13477];    /* 大きめのサイズの配列を用意しておく． */
       
          FILE *fp;
       
          fp = fopen("ana_817831_1210_tpb0_0220.txt", "r");
          if(fp == NULL) {
              printf("ファイルを開くことが出来ませんでした．\n");
              return(0);
          }
       
          n = 0;
       
          /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
          while ( ! feof(fp) && n < 13477) {
              fscanf(fp, "%f", &(arr2[n]));
              n++;
          }
       
          fclose(fp);
       
          n = n-1; /* 上のwhileループでは，EOFの行を余分に読み込んでいるので，実際のデータ数は一つ少ない． */
    std::cerr << "読み込んだ行数 = " << n << "\n";
    
    
gROOT->Reset();
    Int_t icol=0; // WHITE
    Int_t font=42; // Helvetica
    Double_t tsize=0.05;
    
    int f;
    
    
    //TPA0
    double TPB0[11867];
    for(int k=0; k<11867; k++){
        TPB0[k] = arr2[k];
    }

    TCanvas *c7 = new TCanvas("c7", "", 60, 60, 800, 600);

    TH1F *h7 = new TH1F("TPB0", "h7", 20, 0, 20);

    h7->SetTitle("TPB0;height of TP [mV];Number of chips");
    h7->GetXaxis()->SetLimits(0.0,20.0);
    //h7->GetYaxis()->SetRangeUser(0,40);
    h7->SetLabelFont(font,"x");
    h7->SetTitleFont(font,"x");
    h7->SetLabelFont(font,"y");
    h7->SetTitleFont(font,"y");
    h7->SetLabelFont(font,"z");
    h7->SetTitleFont(font,"z");
    h7->SetLabelSize(tsize,"x");
    h7->SetTitleSize(tsize,"x");
    h7->SetLabelSize(tsize,"y");
    h7->SetTitleSize(tsize,"y");
    h7->SetLabelSize(tsize,"z");
    h7->SetTitleSize(tsize,"z");
    h7->SetMarkerStyle(20);
    h7->SetMarkerSize(1.2);
    for(f=0; f<11867; f++){
    h7->Fill(TPB0[f]);
    }
    h7->Draw();
    
    
    
}





