#include <iostream>
#include<fstream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void ana_817831_1210_tpb15()
{
    
    int i, n;
          float arr2[13477];    /* 大きめのサイズの配列を用意しておく． */
       
          FILE *fp;
       
          fp = fopen("ana_817831_1210_tpb15_0220.txt", "r");
          if(fp == NULL) {
              printf("ファイルを開くことが出来ませんでした．\n");
              return(0);
          }
       
          n = 0;
       
          /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
          while ( ! feof(fp) && n < 13477) {
              fscanf(fp, "%f", &(arr2[n]));
              n++;
          }
       
          fclose(fp);
       
          n = n-1; /* 上のwhileループでは，EOFの行を余分に読み込んでいるので，実際のデータ数は一つ少ない． */
    std::cerr << "読み込んだ行数 = " << n << "\n";
    
    
gROOT->Reset();
    Int_t icol=0; // WHITE
    Int_t font=42; // Helvetica
    Double_t tsize=0.05;
    
    int f;
    
    
    //TPB2
    double TPB15[11867];
    for(int k=0; k<11867; k++){
        TPB15[k] = arr2[k];
    }

    TCanvas *c16 = new TCanvas("c16", "", 60, 60, 800, 600);

    TH1F *h16 = new TH1F("TPB15", "h16", 20, 1600, 1900);

    h16->SetTitle("TPB15;height of TP [mV];Number of chips");
    h16->GetXaxis()->SetLimits(1600.0,1900.0);
    //h16->GetYaxis()->SetRangeUser(0,40);
    h16->SetLabelFont(font,"x");
    h16->SetTitleFont(font,"x");
    h16->SetLabelFont(font,"y");
    h16->SetTitleFont(font,"y");
    h16->SetLabelFont(font,"z");
    h16->SetTitleFont(font,"z");
    h16->SetLabelSize(tsize,"x");
    h16->SetTitleSize(tsize,"x");
    h16->SetLabelSize(tsize,"y");
    h16->SetTitleSize(tsize,"y");
    h16->SetLabelSize(tsize,"z");
    h16->SetTitleSize(tsize,"z");
    h16->SetMarkerStyle(20);
    h16->SetMarkerSize(1.2);
    for(f=0; f<11867; f++){
    h16->Fill(TPB15[f]);
    }
    h16->Draw();
    
    
    
}





