#include <iostream>
#include<fstream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void ana_817_1210_pc18kk()
{
    
    int i, n;
          float arr2[13477];    /* 大きめのサイズの配列を用意しておく． */
       
          FILE *fp;
       
          fp = fopen("ana_817_1210_pc18kk_0270.txt", "r");
          if(fp == NULL) {
              printf("ファイルを開くことが出来ませんでした．\n");
              return(0);
          }
       
          n = 0;
       
          /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
          while ( ! feof(fp) && n < 13477) {
              fscanf(fp, "%f", &(arr2[n]));
              n++;
          }
       
          fclose(fp);
       
          n = n-1; /* 上のwhileループでは，EOFの行を余分に読み込んでいるので，実際のデータ数は一つ少ない． */
    std::cerr << "読み込んだ行数 = " << n << "\n";
    
    
gROOT->Reset();
    Int_t icol=0; // WHITE
    Int_t font=42; // Helvetica
    Double_t tsize=0.05;
    
    int f;
    
    
    //p18_k
    double p18k[13470];
    for(int k=0; k<13470; k++){
        p18k[k] = arr2[k];
    }

    TCanvas *c22 = new TCanvas("c22", "", 60, 60, 800, 600);

    TH1F *h22 = new TH1F("P.C. 1.8V", "h22", 20, 0, 20);

    h22->SetTitle("P.C. 1.8V 80kHz;1.8 V Power Consumption [mW];Number of chips");
    h22->GetXaxis()->SetLimits(0.0,20.0);
    h22->GetYaxis()->SetRangeUser(0,6500);
    h22->SetLabelFont(font,"x");
    h22->SetTitleFont(font,"x");
    h22->SetLabelFont(font,"y");
    h22->SetTitleFont(font,"y");
    h22->SetLabelFont(font,"z");
    h22->SetTitleFont(font,"z");
    h22->SetLabelSize(tsize,"x");
    h22->SetTitleSize(tsize,"x");
    h22->SetLabelSize(tsize,"y");
    h22->SetTitleSize(tsize,"y");
    h22->SetLabelSize(tsize,"z");
    h22->SetTitleSize(tsize,"z");
    h22->SetMarkerStyle(20);
    h22->SetMarkerSize(1.2);
    for(f=0; f<13470; f++){
    h22->Fill(p18k[f]);
    }
    h22->Draw();
    
    
    
}





