#include <iostream>
#include<fstream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void ana_817_1210_pc330()
{
    
    int i, n;
          float arr2[13477];    /* 大きめのサイズの配列を用意しておく． */
       
          FILE *fp;
       
          fp = fopen("ana_817_1210_pc330_0222.txt", "r");
          if(fp == NULL) {
              printf("ファイルを開くことが出来ませんでした．\n");
              return(0);
          }
       
          n = 0;
       
          /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
          while ( ! feof(fp) && n < 13477) {
              fscanf(fp, "%f", &(arr2[n]));
              n++;
          }
       
          fclose(fp);
       
          n = n-1; /* 上のwhileループでは，EOFの行を余分に読み込んでいるので，実際のデータ数は一つ少ない． */
    std::cerr << "読み込んだ行数 = " << n << "\n";
    
    
gROOT->Reset();
    Int_t icol=0; // WHITE
    Int_t font=42; // Helvetica
    Double_t tsize=0.05;
    
    int f;
    
    
    //p33_0
    double p330[13470];
    for(int k=0; k<13470; k++){
        p330[k] = arr2[k];
    }

    TCanvas *c18 = new TCanvas("c18", "", 60, 60, 800, 600);

    TH1F *h18 = new TH1F("P.C. 3.3V", "h18", 21, -1, 20);

    h18->SetTitle("P.C. 3.3V NoCS 0;3.3 V Power Consumption [mW];Number of chips");
    h18->GetXaxis()->SetLimits(0.0,20.0);
    h18->GetYaxis()->SetRangeUser(0,6000);
    h18->SetLabelFont(font,"x");
    h18->SetTitleFont(font,"x");
    h18->SetLabelFont(font,"y");
    h18->SetTitleFont(font,"y");
    h18->SetLabelFont(font,"z");
    h18->SetTitleFont(font,"z");
    h18->SetLabelSize(tsize,"x");
    h18->SetTitleSize(tsize,"x");
    h18->SetLabelSize(tsize,"y");
    h18->SetTitleSize(tsize,"y");
    h18->SetLabelSize(tsize,"z");
    h18->SetTitleSize(tsize,"z");
    h18->SetMarkerStyle(20);
    h18->SetMarkerSize(1.2);
    for(f=0; f<13470; f++){
    h18->Fill(p330[f]);
    }
    h18->Draw();
    
    
    
}





