#include <iostream>
#include<fstream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void ana_817_1210_tpa8()
{
    
    int i, n;
          float arr2[13477];    /* 大きめのサイズの配列を用意しておく． */
       
          FILE *fp;
       
          fp = fopen("ana_817_1210_tpa8_0257.txt", "r");
          if(fp == NULL) {
              printf("ファイルを開くことが出来ませんでした．\n");
              return(0);
          }
       
          n = 0;
       
          /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
          while ( ! feof(fp) && n < 13477) {
              fscanf(fp, "%f", &(arr2[n]));
              n++;
          }
       
          fclose(fp);
       
          n = n-1; /* 上のwhileループでは，EOFの行を余分に読み込んでいるので，実際のデータ数は一つ少ない． */
    std::cerr << "読み込んだ行数 = " << n << "\n";
    
    
gROOT->Reset();
    Int_t icol=0; // WHITE
    Int_t font=42; // Helvetica
    Double_t tsize=0.05;
    
    int f;
    
    
    //TPA8
    double TPA8[13470];
    for(int k=0; k<13470; k++){
        TPA8[k] = arr2[k];
    }

    TCanvas *c10 = new TCanvas("c10", "", 60, 60, 800, 600);

    TH1F *h10 = new TH1F("TPA8", "h10", 20, 850, 1050);

    h10->SetTitle("TPA8;height of TP [mV];Number of chips");
    h10->GetXaxis()->SetLimits(850.0,1050.0);
    //h10->GetYaxis()->SetRangeUser(0,40);
    h10->SetLabelFont(font,"x");
    h10->SetTitleFont(font,"x");
    h10->SetLabelFont(font,"y");
    h10->SetTitleFont(font,"y");
    h10->SetLabelFont(font,"z");
    h10->SetTitleFont(font,"z");
    h10->SetLabelSize(tsize,"x");
    h10->SetTitleSize(tsize,"x");
    h10->SetLabelSize(tsize,"y");
    h10->SetTitleSize(tsize,"y");
    h10->SetLabelSize(tsize,"z");
    h10->SetTitleSize(tsize,"z");
    h10->SetMarkerStyle(20);
    h10->SetMarkerSize(1.2);
    for(f=0; f<13470; f++){
    h10->Fill(TPA8[f]);
    }
    h10->Draw();
    
    
    
}





