#include <iostream>
#include<fstream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void ana_817831_1210_tpb2()
{
    
    int i, n;
          float arr2[13477];    /* 大きめのサイズの配列を用意しておく． */
       
          FILE *fp;
       
          fp = fopen("ana_817831_1210_tpb2_0220.txt", "r");
          if(fp == NULL) {
              printf("ファイルを開くことが出来ませんでした．\n");
              return(0);
          }
       
          n = 0;
       
          /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
          while ( ! feof(fp) && n < 13477) {
              fscanf(fp, "%f", &(arr2[n]));
              n++;
          }
       
          fclose(fp);
       
          n = n-1; /* 上のwhileループでは，EOFの行を余分に読み込んでいるので，実際のデータ数は一つ少ない． */
    std::cerr << "読み込んだ行数 = " << n << "\n";
    
    
gROOT->Reset();
    Int_t icol=0; // WHITE
    Int_t font=42; // Helvetica
    Double_t tsize=0.05;
    
    int f;
    
    
    //TPB2
    double TPB2[11867];
    for(int k=0; k<11867; k++){
        TPB2[k] = arr2[k];
    }

    TCanvas *c8 = new TCanvas("c8", "", 60, 60, 800, 600);

    TH1F *h8 = new TH1F("TPB2", "h8", 20, 200, 300);

    h8->SetTitle("TPB2;height of TP [mV];Number of chips");
    h8->GetXaxis()->SetLimits(200.0,300.0);
    //h8->GetYaxis()->SetRangeUser(0,47);
    h8->SetLabelFont(font,"x");
    h8->SetTitleFont(font,"x");
    h8->SetLabelFont(font,"y");
    h8->SetTitleFont(font,"y");
    h8->SetLabelFont(font,"z");
    h8->SetTitleFont(font,"z");
    h8->SetLabelSize(tsize,"x");
    h8->SetTitleSize(tsize,"x");
    h8->SetLabelSize(tsize,"y");
    h8->SetTitleSize(tsize,"y");
    h8->SetLabelSize(tsize,"z");
    h8->SetTitleSize(tsize,"z");
    h8->SetMarkerStyle(20);
    h8->SetMarkerSize(1.2);
    for(f=0; f<11867; f++){
    h8->Fill(TPB2[f]);
    }
    h8->Draw();
    
    
    
}





