#include <iostream>
#include<fstream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void ana_817831_1210_tpb8()
{
    
    int i, n;
          float arr2[13477];    /* 大きめのサイズの配列を用意しておく． */
       
          FILE *fp;
       
          fp = fopen("ana_817831_1210_tpb8_0220.txt", "r");
          if(fp == NULL) {
              printf("ファイルを開くことが出来ませんでした．\n");
              return(0);
          }
       
          n = 0;
       
          /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
          while ( ! feof(fp) && n < 13477) {
              fscanf(fp, "%f", &(arr2[n]));
              n++;
          }
       
          fclose(fp);
       
          n = n-1; /* 上のwhileループでは，EOFの行を余分に読み込んでいるので，実際のデータ数は一つ少ない． */
    std::cerr << "読み込んだ行数 = " << n << "\n";
    
    
gROOT->Reset();
    Int_t icol=0; // WHITE
    Int_t font=42; // Helvetica
    Double_t tsize=0.05;
    
    int f;
    
    
    //TPB2
    double TPB8[11867];
    for(int k=0; k<11867; k++){
        TPB8[k] = arr2[k];
    }

    TCanvas *c12 = new TCanvas("c12", "", 60, 60, 800, 600);

    TH1F *h12 = new TH1F("TPB8", "h12", 20, 850, 1050);

    h12->SetTitle("TPB8;height of TP [mV];Number of chips");
    h12->GetXaxis()->SetLimits(850.0,1050.0);
    //h12->GetYaxis()->SetRangeUser(0,40);
    h12->SetLabelFont(font,"x");
    h12->SetTitleFont(font,"x");
    h12->SetLabelFont(font,"y");
    h12->SetTitleFont(font,"y");
    h12->SetLabelFont(font,"z");
    h12->SetTitleFont(font,"z");
    h12->SetLabelSize(tsize,"x");
    h12->SetTitleSize(tsize,"x");
    h12->SetLabelSize(tsize,"y");
    h12->SetTitleSize(tsize,"y");
    h12->SetLabelSize(tsize,"z");
    h12->SetTitleSize(tsize,"z");
    h12->SetMarkerStyle(20);
    h12->SetMarkerSize(1.2);
    for(f=0; f<11867; f++){
    h12->Fill(TPB8[f]);
    }
    h12->Draw();
    
    
    
}





