#include <iostream>
#include<fstream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void ana_817831_1210_vcon()
{
    
    int i, n;
          float arr2[13477];    /* 大きめのサイズの配列を用意しておく． */
       
          FILE *fp;
       
          fp = fopen("ana_817831_1210_vcon_02880.txt", "r");
          if(fp == NULL) {
              printf("ファイルを開くことが出来ませんでした．\n");
              return(0);
          }
       
          n = 0;
       
          /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
          while ( ! feof(fp) && n < 13477) {
              fscanf(fp, "%f", &(arr2[n]));
              n++;
          }
       
          fclose(fp);
       
          n = n-1; /* 上のwhileループでは，EOFの行を余分に読み込んでいるので，実際のデータ数は一つ少ない． */
    std::cerr << "読み込んだ行数 = " << n << "\n";
    
    
gROOT->Reset();
    Int_t icol=0; // WHITE
    Int_t font=42; // Helvetica
    Double_t tsize=0.05;
    
    int f;
    
    //Vcon
    double Vcon[11867];
    for(int k=0; k<11867; k++){
        Vcon[k] = arr2[k];
    }
    
    TCanvas *c1 = new TCanvas("c1", "", 60, 60, 800, 600);

    TH1F *h1 = new TH1F("Vcon", "h1", 20, 740, 820);
    h1->SetTitle("Vcon;Vcon [mV];Number of chips");
    //h1->GetXaxis()->SetLimits(740.0,820.0);
    //h1->GetYaxis()->SetRangeUser(0,60);
    h1->SetLabelFont(font,"x");
    h1->SetTitleFont(font,"x");
    h1->SetLabelFont(font,"y");
    h1->SetTitleFont(font,"y");
    h1->SetLabelFont(font,"z");
    h1->SetTitleFont(font,"z");
    h1->SetLabelSize(tsize,"x");
    h1->SetTitleSize(tsize,"x");
    h1->SetLabelSize(tsize,"y");
    h1->SetTitleSize(tsize,"y");
    h1->SetLabelSize(tsize,"z");
    h1->SetTitleSize(tsize,"z");
    h1->SetMarkerStyle(20);
    h1->SetMarkerSize(1.2);
    for(f=0; f<11867; f++){
        h1->Fill(Vcon[f]);
    }
    h1->Draw();
    
}





