#include <iostream>
#include<fstream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void ana_817_1210_pc3316()
{
    
    int i, n;
          float arr2[13477];    /* 大きめのサイズの配列を用意しておく． */
       
          FILE *fp;
       
          fp = fopen("ana_817_1210_pc3316_0222.txt", "r");
          if(fp == NULL) {
              printf("ファイルを開くことが出来ませんでした．\n");
              return(0);
          }
       
          n = 0;
       
          /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
          while ( ! feof(fp) && n < 13477) {
              fscanf(fp, "%f", &(arr2[n]));
              n++;
          }
       
          fclose(fp);
       
          n = n-1; /* 上のwhileループでは，EOFの行を余分に読み込んでいるので，実際のデータ数は一つ少ない． */
    std::cerr << "読み込んだ行数 = " << n << "\n";
    
    
gROOT->Reset();
    Int_t icol=0; // WHITE
    Int_t font=42; // Helvetica
    Double_t tsize=0.05;
    
    int f;
    
    
    //p33_16
    double p3316[13470];
    for(int k=0; k<13470; k++){
        p3316[k] = arr2[k];
    }

    TCanvas *c20 = new TCanvas("c20", "", 60, 60, 800, 600);

    TH1F *h20 = new TH1F("P.C. 3.3V", "h20", 18, 62, 80);

    h20->SetTitle("P.C. 3.3V NoCS 16;3.3 V Power Consumption [mW];Number of chips");
    h20->GetXaxis()->SetLimits(62.0,80.0);
    //h20->GetYaxis()->SetRangeUser(0,47);
    h20->SetLabelFont(font,"x");
    h20->SetTitleFont(font,"x");
    h20->SetLabelFont(font,"y");
    h20->SetTitleFont(font,"y");
    h20->SetLabelFont(font,"z");
    h20->SetTitleFont(font,"z");
    h20->SetLabelSize(tsize,"x");
    h20->SetTitleSize(tsize,"x");
    h20->SetLabelSize(tsize,"y");
    h20->SetTitleSize(tsize,"y");
    h20->SetLabelSize(tsize,"z");
    h20->SetTitleSize(tsize,"z");
    h20->SetMarkerStyle(20);
    h20->SetMarkerSize(1.2);
    for(f=0; f<13470; f++){
    h20->Fill(p3316[f]);
    }
    h20->Draw();
    
    
    
}





