#include <iostream>
#include<fstream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void ana_817_1210_pc334()
{
    
    int i, n;
          float arr2[13477];    /* 大きめのサイズの配列を用意しておく． */
       
          FILE *fp;
       
          fp = fopen("ana_817_1210_pc334_0222.txt", "r");
          if(fp == NULL) {
              printf("ファイルを開くことが出来ませんでした．\n");
              return(0);
          }
       
          n = 0;
       
          /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
          while ( ! feof(fp) && n < 13477) {
              fscanf(fp, "%f", &(arr2[n]));
              n++;
          }
       
          fclose(fp);
       
          n = n-1; /* 上のwhileループでは，EOFの行を余分に読み込んでいるので，実際のデータ数は一つ少ない． */
    std::cerr << "読み込んだ行数 = " << n << "\n";
    
    
gROOT->Reset();
    Int_t icol=0; // WHITE
    Int_t font=42; // Helvetica
    Double_t tsize=0.05;
    
    int f;
    
    
    //p33_4
    double p334[13470];
    for(int k=0; k<13470; k++){
        p334[k] = arr2[k];
    }

    TCanvas *c19 = new TCanvas("c19", "", 60, 60, 800, 600);

    TH1F *h19 = new TH1F("P.C. 3.3V", "h19", 10, 17, 30);

    h19->SetTitle("P.C. 3.3V NoCS 4;3.3 V Power Consumption [mW];Number of chips");
    h19->GetXaxis()->SetLimits(17.0,30.0);
    h19->GetYaxis()->SetRangeUser(0,5500);
    h19->SetLabelFont(font,"x");
    h19->SetTitleFont(font,"x");
    h19->SetLabelFont(font,"y");
    h19->SetTitleFont(font,"y");
    h19->SetLabelFont(font,"z");
    h19->SetTitleFont(font,"z");
    h19->SetLabelSize(tsize,"x");
    h19->SetTitleSize(tsize,"x");
    h19->SetLabelSize(tsize,"y");
    h19->SetTitleSize(tsize,"y");
    h19->SetLabelSize(tsize,"z");
    h19->SetTitleSize(tsize,"z");
    h19->SetMarkerStyle(20);
    h19->SetMarkerSize(1.2);
    for(f=0; f<13470; f++){
    h19->Fill(p334[f]);
    }
    h19->Draw();
    
    
    
}





