#include <iostream>
#include<fstream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void ana_817_1210_tpa15()
{
    
    int i, n;
          float arr2[13477];    /* 大きめのサイズの配列を用意しておく． */
       
          FILE *fp;
       
          fp = fopen("ana_817_1210_tpa15_0257.txt", "r");
          if(fp == NULL) {
              printf("ファイルを開くことが出来ませんでした．\n");
              return(0);
          }
       
          n = 0;
       
          /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
          while ( ! feof(fp) && n < 13477) {
              fscanf(fp, "%f", &(arr2[n]));
              n++;
          }
       
          fclose(fp);
       
          n = n-1; /* 上のwhileループでは，EOFの行を余分に読み込んでいるので，実際のデータ数は一つ少ない． */
    std::cerr << "読み込んだ行数 = " << n << "\n";
    
    
gROOT->Reset();
    Int_t icol=0; // WHITE
    Int_t font=42; // Helvetica
    Double_t tsize=0.05;
    
    int f;
    
    
    //TPA15
    double TPA15[13470];
    for(int k=0; k<13470; k++){
        TPA15[k] = arr2[k];
    }

    TCanvas *c14 = new TCanvas("c14", "", 60, 60, 800, 600);

    TH1F *h14 = new TH1F("TPA15", "h14", 20, 1600, 1900);

    h14->SetTitle("TPA15;height of TP [mV];Number of chips");
    h14->GetXaxis()->SetLimits(1600.0,1900.0);
    //h14->GetYaxis()->SetRangeUser(0,40);
    h14->SetLabelFont(font,"x");
    h14->SetTitleFont(font,"x");
    h14->SetLabelFont(font,"y");
    h14->SetTitleFont(font,"y");
    h14->SetLabelFont(font,"z");
    h14->SetTitleFont(font,"z");
    h14->SetLabelSize(tsize,"x");
    h14->SetTitleSize(tsize,"x");
    h14->SetLabelSize(tsize,"y");
    h14->SetTitleSize(tsize,"y");
    h14->SetLabelSize(tsize,"z");
    h14->SetTitleSize(tsize,"z");
    h14->SetMarkerStyle(20);
    h14->SetMarkerSize(1.2);
    for(f=0; f<13470; f++){
    h14->Fill(TPA15[f]);
    }
    h14->Draw();
    
    
    
}





