#include <iostream>
#include<fstream>
#include <string>
using namespace std;
#include "TMinuit.h"
#include <TMath.h>


void ana_817_1210_tpa2()
{
    
    int i, n;
          float arr2[13477];    /* 大きめのサイズの配列を用意しておく． */
       
          FILE *fp;
       
          fp = fopen("ana_817_1210_tpa2_0257.txt", "r");
          if(fp == NULL) {
              printf("ファイルを開くことが出来ませんでした．\n");
              return(0);
          }
       
          n = 0;
       
          /*  ファイルが終わりでない　「かつ」　配列を飛び出さないうちは，読み込みを続ける  */
          while ( ! feof(fp) && n < 13477) {
              fscanf(fp, "%f", &(arr2[n]));
              n++;
          }
       
          fclose(fp);
       
          n = n-1; /* 上のwhileループでは，EOFの行を余分に読み込んでいるので，実際のデータ数は一つ少ない． */
    std::cerr << "読み込んだ行数 = " << n << "\n";
    
    
gROOT->Reset();
    Int_t icol=0; // WHITE
    Int_t font=42; // Helvetica
    Double_t tsize=0.05;
    
    int f;
    
    
    //TPA2
    double TPA2[13470];
    for(int k=0; k<13470; k++){
        TPA2[k] = arr2[k];
    }

    TCanvas *c6 = new TCanvas("c6", "", 60, 60, 800, 600);

    TH1F *h6 = new TH1F("TPA2", "h6", 20, 200, 300);

    h6->SetTitle("TPA2;height of TP [mV];Number of chips");
    h6->GetXaxis()->SetLimits(200.0,300.0);
    //h6->GetYaxis()->SetRangeUser(0,47);
    h6->SetLabelFont(font,"x");
    h6->SetTitleFont(font,"x");
    h6->SetLabelFont(font,"y");
    h6->SetTitleFont(font,"y");
    h6->SetLabelFont(font,"z");
    h6->SetTitleFont(font,"z");
    h6->SetLabelSize(tsize,"x");
    h6->SetTitleSize(tsize,"x");
    h6->SetLabelSize(tsize,"y");
    h6->SetTitleSize(tsize,"y");
    h6->SetLabelSize(tsize,"z");
    h6->SetTitleSize(tsize,"z");
    h6->SetMarkerStyle(20);
    h6->SetMarkerSize(1.2);
    for(f=0; f<13470; f++){
    h6->Fill(TPA2[f]);
    }
    h6->Draw();
    
    
    
}





